package ru.tstu.sapr.lr3;

public class CalendarMarchGUI extends javax.swing.JFrame {
    private String holidays[];
    
    public CalendarMarchGUI() {
        initComponents();
        holidays = new String[31];
        holidays[0] = "<h2>1 марта</h2><br>Всемирный день гражданской обороны.<br>Всемирный день кошек.<br>Всемирный день сна.";
        holidays[2] = "<h2>3 марта</h2><br>Всемирный день писателя.";
        holidays[7] = "<h2>8 марта</h2><br>Международный женский день.";
        holidays[13] = "<h2>14 марта</h2><br>Международный день числа «Пи».";
        holidays[14] = "<h2>15 марта</h2><br>Всемирный день защиты прав потребителей.";
        holidays[19] = "<h2>20 марта</h2><br>Всемирный день астрологии.";
        holidays[20] = "<h2>21 марта</h2><br>Международный день борьбы за ликвидацию расовой дискриминации.<br>Международный день человека с синдромом Дауна.<br>Всемирный день поэзии.";
        holidays[22] = "<h2>23 марта</h2><br>Всемирный день метеорологии.";
        holidays[26] = "<h2>27 марта</h2><br>Всемирный день театра.";
        holidays[30] = "<h2>31 марта</h2><br>Международный день резервного копирования.";
    }    
    @SuppressWarnings("unchecked")
  // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
  private void initComponents() {

    jScrollPane1 = new javax.swing.JScrollPane();
    tblMarch = new javax.swing.JTable();
    jScrollPane2 = new javax.swing.JScrollPane();
    tpInfo = new javax.swing.JTextPane();

    setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

    tblMarch.setFont(new java.awt.Font("Consolas", 1, 24)); // NOI18N
    tblMarch.setModel(new javax.swing.table.DefaultTableModel(
      new Object [][] {
        {null, null, null, null, null, null,  new Integer(1)},
        { new Integer(2),  new Integer(3),  new Integer(4),  new Integer(5),  new Integer(6),  new Integer(7),  new Integer(8)},
        { new Integer(9),  new Integer(10),  new Integer(11),  new Integer(12),  new Integer(13),  new Integer(14),  new Integer(15)},
        { new Integer(16),  new Integer(17),  new Integer(18),  new Integer(19),  new Integer(20),  new Integer(21),  new Integer(22)},
        { new Integer(23),  new Integer(24),  new Integer(25),  new Integer(26),  new Integer(27),  new Integer(28),  new Integer(29)},
        { new Integer(30),  new Integer(31), null, null, null, null, null}
      },
      new String [] {
        "ПН", "ВТ", "СР", "ЧТ", "ПТ", "СБ", "ВС"
      }
    ) {
      Class[] types = new Class [] {
        java.lang.Integer.class, java.lang.Integer.class, java.lang.Integer.class, java.lang.Integer.class, java.lang.Integer.class, java.lang.Integer.class, java.lang.Integer.class
      };

      public Class getColumnClass(int columnIndex) {
        return types [columnIndex];
      }
    });
    tblMarch.setIntercellSpacing(new java.awt.Dimension(2, 2));
    tblMarch.setOpaque(false);
    tblMarch.setRowHeight(30);
    tblMarch.setRowSelectionAllowed(false);
    tblMarch.addMouseListener(new java.awt.event.MouseAdapter() {
      public void mouseClicked(java.awt.event.MouseEvent evt) {
        tblMarchMouseClicked(evt);
      }
    });
    jScrollPane1.setViewportView(tblMarch);

    tpInfo.setContentType("text/html"); // NOI18N
    jScrollPane2.setViewportView(tpInfo);

    javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
    getContentPane().setLayout(layout);
    layout.setHorizontalGroup(
      layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
      .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
      .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 452, javax.swing.GroupLayout.PREFERRED_SIZE)
    );
    layout.setVerticalGroup(
      layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
      .addGroup(layout.createSequentialGroup()
        .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 212, javax.swing.GroupLayout.PREFERRED_SIZE)
        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
        .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 188, javax.swing.GroupLayout.PREFERRED_SIZE))
    );

    pack();
  }// </editor-fold>//GEN-END:initComponents

    private void tblMarchMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_tblMarchMouseClicked
        int i = tblMarch.getSelectedRow();
        int j = tblMarch.getSelectedColumn();
        Integer day = (Integer) tblMarch.getValueAt(i, j);
        tpInfo.setText(holidays[day-1]);   
    }//GEN-LAST:event_tblMarchMouseClicked

    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(CalendarMarchGUI.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(CalendarMarchGUI.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(CalendarMarchGUI.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(CalendarMarchGUI.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(() -> {
          new CalendarMarchGUI().setVisible(true);
        });
    }
    
  // Variables declaration - do not modify//GEN-BEGIN:variables
  private javax.swing.JScrollPane jScrollPane1;
  private javax.swing.JScrollPane jScrollPane2;
  private javax.swing.JTable tblMarch;
  private javax.swing.JTextPane tpInfo;
  // End of variables declaration//GEN-END:variables
}
